% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/plot.statis.R
\name{plot.statis}
\alias{plot.statis}
\title{Displays the STATIS graphs}
\usage{
\method{plot}{statis}(x, axes=c(1,2), Graph_obj=TRUE,
Graph_weights=TRUE, Graph_eig=TRUE, tit="STATIS", col=NULL, cex=1, font=1,
xlim=NULL, ylim=NULL, ...)
}
\arguments{
\item{x}{object of class 'statis'}

\item{axes}{numerical vector (length 2). Axes to be plotted. Default: c(1,2)}

\item{Graph_obj}{logical. Should the compromise graphical representation be plotted? Default: TRUE}

\item{Graph_weights}{logical. Should the barplot of the weights be plotted? Default: TRUE}

\item{Graph_eig}{logical. Should the barplot of the eigenvalues be plotted? Only with Graph_obj=TRUE. Default: TRUE}

\item{tit}{string. Title for the objects graphical representation. Default: 'STATIS'}

\item{col}{vector. Color for each object. If NULL, col=rainbow(nrow(Data)). Default: NULL}

\item{cex}{numerical. Numeric character expansion factor; multiplied by par("cex") yields the final character size. NULL and NA are equivalent to 1.0.}

\item{font}{numerical. Integer specifying font to use for text. 1=plain, 2=bold, 3=italic, 4=bold italic, 5=symbol. Default: 1}

\item{xlim}{numerical vector (length 2). Minimum and maximum for x coordinates.}

\item{ylim}{numerical vector (length 2). Minimum and maximum for y coordinates.}

\item{...}{further arguments passed to or from other methods}
}
\value{
the STATIS graphs
}
\description{
This function plots the STATIS map and STATIS weights
}
\examples{
\donttest{
 data(smoo)
 NameBlocks=paste0("S",1:24)
 st=statis(Data=smoo,Blocks=rep(2,24),NameBlocks = NameBlocks)
 plot(st, axes=c(1,3), Graph_weights=FALSE)

 }

}
\seealso{
\code{\link{statis}}
}
\keyword{quantitative}
